/**
 * DiCloud - GENI project
 * 
 * (C) 2010 - University of Massachusetts Amherst
 * 
 * Initial developer(s): Emmanuel Cecchet.
 * Contributor(s): ______________________.
 */

package edu.umass.cs.geni.dicloud.handlers;

import java.util.Properties;

import orca.shirako.plugins.ShirakoPlugin;
import edu.umass.cs.geni.dicloud.accounting.AWSAccounting;

/**
 * Shirako plugin that overrides the configurationComplete method to retrieve
 * results on handler invocations.
 * 
 * @author <a href="mailto:cecchet@cs.umass.edu">Emmanuel Cecchet </a>
 * @version 1.0
 * 
 */
public class AWSPlugin extends ShirakoPlugin
{
  protected static String TargetProbe = "probe";
  private AWSAccounting   awsAccouting;

  /*
   * (non-Javadoc)
   * 
   * @see orca.shirako.plugins.ShirakoPlugin#initialize()
   */
  @Override
  public void initialize() throws Exception
  {
	configurationProperties = new Properties();
	awsAccouting = new AWSAccounting(0);
  }

  /*
   * (non-Javadoc)
   * 
   * @see
   * orca.shirako.plugins.ShirakoPlugin#configurationComplete(java.lang.Object,
   * java.util.Properties)
   */
  @Override
  public void configurationComplete(Object token, Properties properties)
  {
	this.configurationProperties.putAll(properties);
  }

  /**
   * @return the awsAccouting
   */
  public AWSAccounting getAwsAccouting()
  {
	return awsAccouting;
  }

}
